* {
  box-sizing: border-box;
}

body {
  background-color: #f5f7fb;
  display: flex;
  flex-direction: row-reverse;
  margin: 0;
  padding: 0;
}

main {
  width: 100%;
  margin: 20px;
}

aside {
  margin-right: 20px;
  padding: 20px;
  background-color: #fff;
  height: 100vh;
  position: sticky;
  top: 0;
}

aside ul,
.employees_list ul {
  list-style: none;
  padding: 0;
}

aside ul li,
.employees_list ul li {
  margin: 30px 0;
}

aside ul li a {
  display: block;
  text-decoration: none;
  color: #fff;
  font-weight: bold;
  background-color: #cececc;
  padding: 10px;
  width: 180px;
  border-radius: 7px;
}

table {
  width: 100%;
  margin: 0 auto 50px auto;
  border-radius: 20px;
  background-color: #fff;
  border-collapse: collapse;
}

thead {
  color: #cececc;
}

th {
  border-bottom: 2px solid #f5f7fb;
}

th,
td {
  padding: 10px;
}

td {
  border-bottom: 2px dashed #f5f7fb;
}

td {
  text-align: center;
}

span {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

button {
  outline: none;
  cursor: pointer;
}

.copy_credentials {
  background-color: white;
  padding: 10px;
  margin: 10px;
  border-radius: 5px;
  border: none;
}

.overview {
  border: none;
}

.overview,
.phone,
.whatsapp,
.edit_client_btn,
.delete_client_btn,
.edit_employee_btn,
.delete_employee_btn {
  background-color: black;
  color: white;
  padding: 10px 15px;
  margin: 10px;
  border-radius: 5px;

}

.add_btn {
  background-color: transparent;
  border: 1px dashed #000;
  padding: 10px;
  width: 40px;
  height: 40px;
  border-radius: 100px;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

form:not(.assign_clients_to_employee) {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  padding: 20px;
  border-radius: 20px;
  z-index: 2;
  display: flex;
  flex-direction: column;
  gap: 15px;
  max-height: 90%;
  overflow: auto;
}

input,
select,
textarea {
  padding: 10px;
  border: none;
  outline: none;
}

select {
  width: 70%;
}

textarea {
  width: 100%;
  height: 170px;
}

label {
  border: 0.5px solid #cececc;
  padding: 5px 10px;
  border-radius: 10px;
}

button[type="submit"] {
  background-color: #000;
  color: #fff;
  padding: 10px;
  border: none;
  border-radius: 5px;
  font-weight: bold;
}

.close_form {
  background-color: transparent;
  border: none;
  font-size: 20px;
  color: #000;
}

.toggle-btn {
  display: none;
  border: none;
  background-color: transparent;
  font-size: 30px;
}

.clients_list {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
}

.edit_client_btn,
.delete_client_btn,
.edit_employee_btn,
.delete_employee_btn {
  border: none;
}

.edit_client_btn:hover,
.edit_employee_btn:hover {
  background-color: #007bff;
  color: white;
}

.delete_client_btn:hover,
.delete_employee_btn:hover {
  background-color: #dc3545;
  color: white;
}

#employee_select {
  width: 90%;
  margin: 10px;
}

@media screen and (max-width: 1024px) {
  main {
    margin: 0;
    padding: 120px 10px 10px;
  }

  .toggle-btn {
    display: block;
  }

  .nav-menu.hidden {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
  }

  .nav-menu:not(.hidden) {
    max-height: 500px;
    opacity: 1;
  }

  body {
    flex-direction: column;
  }

  aside {
    height: auto;
    position: fixed;
    width: 100%;
  }

  aside ul li {
    margin: 15px 0;
  }

  aside ul li a {
    width: 100%;
    text-align: center;
  }

}

@media screen and (max-width: 768px) {
  #employee_select {
    width: 60%;
  }

  table {
    display: block;
    overflow-x: auto;
    white-space: nowrap;
  }

  select {
    width: 100%;
  }
}

.error_message,
.success_message {
  color: white;
  padding: 10px;
  font-weight: bold;
  margin: 0;
  width: 100%;
  text-align: center;
  border-radius: 5px;
}

.error_message {
  background-color: red;
}

.success_message {
  background-color: green;
}

@media screen and (max-width: 480px) {

  form:not(.assign_clients_to_employee) {
    width: 95%;
    padding: 10px;
  }

  input,
  select,
  textarea {
    font-size: 14px;
  }

  td {
    width: 100%;
  }
}